Package org.apache.nutch.service.model.request

## Class SeedUrl

- java.lang.Object
- - org.apache.nutch.service.model.request.SeedUrl

- All Implemented Interfaces:
    `Serializable`

      public class SeedUrl
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SeedUrl()` |
    `SeedUrl​(String url)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `Long` | `getId()` |
    `SeedList` | `getSeedList()` |
    `String` | `getUrl()` |
    `int` | `hashCode()` |
    `void` | `setId​(Long id)` |
    `void` | `setSeedList​(SeedList seedList)` |
    `void` | `setUrl​(String url)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SeedUrl

          public SeedUrl()

    - #### SeedUrl

          public SeedUrl​(String url)

  - ### Method Detail

    - #### getId

          public Long getId()

    - #### setId

          public void setId​(Long id)

    - #### getUrl

          public String getUrl()

    - #### setUrl

          public void setUrl​(String url)

    - #### getSeedList

          public SeedList getSeedList()

    - #### setSeedList

          public void setSeedList​(SeedList seedList)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`